Package be.vlaanderen.mercurius.mohm.common.v7

# Class ConsultHistoryNotAcceptedType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ConsultHistoryNotAcceptedType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultHistoryNotAcceptedType extends Object implements Serializable
Generiek type voor negatief antwoord op een consultatie van de historiek.

Java class for ConsultHistoryNotAcceptedType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultHistoryNotAcceptedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ConsultDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ErrorListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultHistoryNotAcceptedType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getConsultDate()`
  Datum van de mislukte consultatie.
  `ErrorListType`
  `getErrorList()`
  Lijst met fout(en).
  `void`
  `setConsultDate(Instant value)`
  Sets the value of the consultDate property.
  `void`
  `setErrorList(ErrorListType value)`
  Sets the value of the errorList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultHistoryNotAcceptedType

    public ConsultHistoryNotAcceptedType()

- ## Method Details

  - ### getConsultDate

    public Instant getConsultDate()
    Datum van de mislukte consultatie.
    Returns:
      possible object is `String`

  - ### setConsultDate

    public void setConsultDate(Instant value)
    Sets the value of the consultDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getConsultDate()`

  - ### getErrorList

    public ErrorListType getErrorList()
    Lijst met fout(en).
    Returns:
      possible object is `ErrorListType`

  - ### setErrorList

    public void setErrorList(ErrorListType value)
    Sets the value of the errorList property.
    Parameters:
      `value` - allowed object is `ErrorListType`
    See Also:
      - `getErrorList()`